This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 29908 - "losetup -d /dev/loop0" does not work.
"losetup -d /dev/loop0" does not work.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 18:02 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 11:55:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-27 18:02:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.14-5.0 i686)


"losetup -d /dev/loop0" does not work.


Reproducible: Always
Steps to Reproduce:
1.Log on as root.
2."umount /mnt/cdrom"
3."losetup -d /dev/loop0"
	

Actual Results:  After step 2., the system reports that I had nothing
mounted.
After step 3., the system issues one message only: "Segmentation fault",
after which the system hangs.

Expected Results:  Step 3 should have reported that there was no loopback
device setup, or something like that. I should have been able to continue
without rebooting the system.

I was trying to set up a loopback CD device so that I could install our
BRU-Pro product and test it on Wolverine. 
After rebooting the system, I was able to continue successfully by just
skipping the "umount /mnt/cdrom" and "losetup -d /dev/loop0" commands. I
simply issued the following commands:

    losetup /dev/loop0 /tmp/brupro_1.0.2.0.iso
    mount /dev/loop0 /mnt/cdrom
    cd /mnt/cdrom

This was successful, and I was able to install our BRU-Pro product and
continue testing.
Comment 1 Arjan van de Ven 2001-02-28 03:50:35 EST
Does the kernel give an oops ?
Comment 2 Arjan van de Ven 2001-02-28 10:09:05 EST
Ok. I can reproduce this.... Investigating
Comment 3 Need Real Name 2001-02-28 11:53:12 EST
The only reason I reported this under "kernel" is that bugzilla didn't give me
an entry under "losetup".
Comment 4 Arjan van de Ven 2001-02-28 11:55:39 EST
It's a kernel bug al right...
Comment 5 Arjan van de Ven 2001-02-28 13:34:01 EST
Our next kernel build will have a fix for this. Please reopen this bug
if a kernel 2.4.2-0.1.17 or later (when it becomes available) does not fix this
for you.

Note You need to log in before you can comment on or make changes to this bug.